-----------------------------
-- Simple post effect script
-----------------------------
--Script.SkyTexture = "PostEffects/Media/SkyLE25.tex" --Cubemap
--Script.FogRange = Vec2(0.0,75.0) --Range of Fog 
--Script.FogColor = Vec4(0.72,0.73,0.67,1.0) --Color of Fog
--Script.FogAngle  = Vec2(5.0,15.0) --Angle Range where fog is blended with the skybox
WATER_REFLECT = Texture:Load("Shaders/Skybox_posteffect/SkyLE25.tex")

--Called once at start
function Script:Start()
	--Load this script's shader
	self.sky = WATER_REFLECT--PFX_Globals["SkyTexture"])
	self.shader = Shader:Load("Shaders/Skybox_posteffect/skybox.shader")
end

--Called each time the camera is rendered
function Script:Render(camera,context,buffer,depth,diffuse,normals)
	--Enable the shader and draw the diffuse image onscreen
	if self.shader then 
		self.shader:Enable() 
		self.sky:Bind(2)
		depth:Bind(3)	
	end

	context:DrawImage(diffuse,0,0,buffer:GetWidth(),buffer:GetHeight())
end

--Called when the effect is detached or the camera is deleted
function Script:Release()
	if self.shader then
		self.shader:Release()
		self.shader = nil
		self.sky:Release()
		self.sky = nil
	end
end